Platform
/- Execute Batch Operations
Gets all of the record alert rule sets in the system.
Creates a new record alert rule set record that does not already exist.
Returns a record alert rule set from the system by its ID.
Returns a record alert rule set from the system by its ID.
Partially updates a record alert rule set with the specified ID.
Updates a record alert rule set with the specified ID.
Execute Batch Operations
TAllows you to perform up to 100 parallel patch/delete operations
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/platform/platform-v1/recordAlertRuleSets/{tenantId}/batch
- https://platform.api.rhythmsoftware.comhttps://platform.api.rhythmsoftware.com/recordAlertRuleSets/{tenantId}/batch
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/platform/platform-v1/recordAlertRuleSets/{tenantId}/batch' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"operations": [
{
"id": "string",
"object": {},
"operation": "create",
"patch_directives": [
{
"op": "add",
"path": "string",
"value": "string"
}
]
}
]
}'Response
{ "error_count": 0.1, "results": [ { … } ], "success_count": 0.1 }